if (file_exists ("/etc/hosts")) ...                                            /* "ERR_NOT_A_FILE" */

if (directory_exists ("/etc/hosts")) ...                                       /* "ERR_NOT_A_DIRECTORY" */

if (link_exists ("/etc/hosts", FS_DIR)) ...                                    /* "ERR_NOT_A_DIRECTORY_LINK" */

if (link_exists ("/etc/hosts", FS_FILE)) ...                                   /* 1 */